AI resources

Test the integration

Before going live, we recommend testing the integration and transaction processing. This allows you to verify that the integration was configured correctly and that transactions are processed without errors.

If you wish, before testing your integration you can encrypt your data to perform your test transactions. To learn how to create this encryption, go to Security encryption. Remember that this encryption is only required when going live with your integration, that is, for your real transactions.

To test your integration with Payouts, create transactions by sending a request with your test Access TokenPrivate key linked to an application, used in the backend to authenticate operations in the test environment. You can find it in the application's Credentials section, within the test environment. It cannot process real payments and must never be exposed in the frontend. and the X-test-token: true header to the endpoint /v1/payoutsPOST, so that the request is made in a test environment.

To test the creation and processing of a payout between Mercado Pago accounts, identify each recipient by the email address associated with their account.

curl
curl --location 'https://api.mercadopago.com/v1/payouts' \
--header 'X-Idempotency-Key: {{SOME_UNIQUE_VALUE}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{YOUR_ACCESS_TOKEN}}' \
--header 'X-enforce-signature: false' \
--header 'X-test-token: true' \
--data-raw '{
    "external_reference": "MP0197",
    "config": {
        "notification_url": "https://link-your-webhook-notification.com"
    },
    "description": "Payout for seller commissions",
    "schedule_date": "2026-12-31T14:30:00",
    "transactions": [
        {
            "type": "account",
            "description": "Payment to seller Beltrano",
            "account": {
                "email": "test@testuser.com"
            },
            "amount": {
                "currency": "ARS",
                "value": 10
            },
            "external_reference": "MP0197"
        }
    ]
}'
To learn in detail all the parameters sent and returned in this request, consult our API ReferenceAPI. If you receive an error when sending the request, check our error list for more information.

If the execution is successful, the request returns a status code 202, indicating that the payout was accepted for processing. The following example shows a payout containing two transactions:

json
{
   "id": "POP01KM145R903TZ06BWK6204DGG1",
   "external_reference": "000197",
   "description": "Payout for seller commissions",
   "idempotency_key": "1773859430",
   "created_date": "2026-03-18T14:43:50-03:00",
   "status": "created",
   "schedule_date": "2026-12-31T14:30:00",
   "config": {
       "notification_url": "https://link-your-webhook-notification.com"
   },
   "transactions": [
       {
           "id": "TOP01KKYN1QY2SS1MKAY4G9DV5NK9",
           "amount": {
               "currency": "ARS",
               "value": 10
           },
           "external_reference": "000197"
       },
       {
           "id": "TOP01KV681P6SJ38NQHWX3T9PHH3M",
           "amount": {
               "currency": "ARS",
               "value": 12
           },
           "external_reference": "000198"
       }
   ]
}
Transaction processing may take a few minutes. If a transaction has status=pending, send a request to the endpoint /v1/payouts/{payout_id}/transactions/{transaction_id}GET to check for updates.

Ready! Once this step is completed, the integration is complete and you can go to production.